package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class BusinessAccountTest {



        BusinessAccount ca;

    @Before
        public void setUp(){
            ca = new BusinessAccount(2000);
        }

        @Test
        public void withdraw(){
            //when
            ca.withdraw(10);

            //expected
            double expected = 1990;

            //actual

            double actual = ca.getBalance();

            Assert.assertEquals(expected, actual, 0);


        }

        @Test
        public void deposit(){
            //when
            ca.deposit(10);

            //expected
            double expected = 2010;

            //actual

            double actual = ca.getBalance();

            Assert.assertEquals(expected, actual,0);


        }

        @Test
        public void getBalance(){

            //expected
            double expected = 2000;

            //actual

            double actual = ca.getBalance();

            Assert.assertEquals(expected, actual,0);


        }



    }
