package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class ATMTest {

    ATM atm;

    @Before
    public void setUp(){
        atm = new ATM();
        atm.add(new CheckingAccount(2000));
        atm.add(new SavingAccount(1500));
        atm.add(new BusinessAccount(3000));



    }

    @Test
    public void getTotal(){
        double expected = 6500;

        double actual = atm.getTotal();

        Assert.assertEquals(expected, actual,0);

    }
}
